Bug 16620 - Translatability: Fix problem with isolated word "please" in auth.tt
Summary: Translatability: Fix problem with isolated word "please" in auth.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-31 08:17 UTC by Marc Véron
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16620: Translatability: Fix problem with isolated word "please" in auth.tt (1.11 KB, patch)
2016-05-31 08:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16620: Translatability: Fix problem with isolated word "please" in auth.tt (1.49 KB, patch)
2016-05-31 08:44 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16620: Translatability: Fix problem with isolated word "please" in auth.tt (1.53 KB, patch)
2016-06-02 00:58 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16620: Translatability: Fix problem with isolated word "please" in auth.tt (1.60 KB, patch)
2016-06-07 15:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-05-31 08:17:06 UTC
In koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt, a tag-isolated word "please" leads to translation problems (syntax in different languages).
Line 81: please <a href="[% casServerUrl %]">click here to login</a>.<p>
Comment 1 Marc Véron 2016-05-31 08:24:04 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-31 08:34:08 UTC
Oh, there are more syntax problems...
Comment 3 Marc Véron 2016-05-31 08:44:22 UTC Comment hidden (obsolete)
Comment 4 Srdjan Jankovic 2016-06-01 01:47:45 UTC
Same problem exists in OPAC. Maybe do it in one go?
Comment 5 Marc Véron 2016-06-01 05:49:15 UTC
(In reply to Srdjan Jankovic from comment #4)
> Same problem exists in OPAC. Maybe do it in one go?

Ah, yes. opac-auth.tt lines 90 and following. 
This could go to Bug 16540: Translatability in opac-auth.tt
Comment 6 Srdjan Jankovic 2016-06-02 00:58:45 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-06-07 15:22:13 UTC
Created attachment 52155 [details] [review]
Bug 16620: Translatability: Fix problem with isolated word "please" in auth.tt

This patch fixes a translatability problem (syntax in different languages) with a tag-isolated word "please"
in koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt

To test:
- Verify in code that there is no sentence spliting by a-tags (lines 80/84).

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2016-06-10 17:51:22 UTC
Pushed to master for 16.11, thanks Marc!
Comment 9 Frédéric Demians 2016-06-15 07:49:35 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 10 Julian Maurice 2016-06-16 10:00:23 UTC
Patch pushed to 3.22.x, will be in 3.22.8